aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRyan Hill <rhill@gentoo.org>2015-05-12 22:23:53 -0600
committerRyan Hill <rhill@gentoo.org>2015-05-12 22:23:53 -0600
commitfbf72a0a0c3c5708e68fa493b2014605b828f2e6 (patch)
tree412aa90e7ea569b1b61de90ab7d239cb6bb98058
parentIgnore whitespace when diffing test results. (diff)
downloadgcc-config-fbf72a0a0c3c5708e68fa493b2014605b828f2e6.tar.gz
gcc-config-fbf72a0a0c3c5708e68fa493b2014605b828f2e6.tar.bz2
gcc-config-fbf72a0a0c3c5708e68fa493b2014605b828f2e6.zip
Use /lib/gentoo/functions.sh instead of /etc/init.d/functions.sh.
URL: https://bugs.gentoo.org/504118 Signed-off-by: Ryan Hill <rhill@gentoo.org> Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
-rwxr-xr-xgcc-config5
1 files changed, 3 insertions, 2 deletions
diff --git a/gcc-config b/gcc-config
index 8d2347f..4fccc8c 100755
--- a/gcc-config
+++ b/gcc-config
@@ -18,8 +18,9 @@ cd /
trap ":" INT QUIT TSTP
argv0=${0##*/}
-source "${EPREFIX}"/etc/init.d/functions.sh || {
- echo "${argv0}: Could not source ${EPREFIX}/etc/init.d/functions.sh!" 1>&2
+functions_script="${EPREFIX}/lib/gentoo/functions.sh"
+source ${functions_script} || {
+ echo "${argv0}: Could not source ${functions_script}!" 1>&2
exit 1
}
esyslog() { :; }